Skip to main content

Questions tagged [update]

This tag is for questions about upgrading within the same Joomla major version, or upgrading from Joomla 2.5 to 3. For questions about going from Joomla 1.5 to 2.5+, please use the Migration tag.

Filter by
Sorted by
Tagged with
0 votes
0 answers
76 views

Error when upgrading from 4.3.4 5o 4.4 Error message

website working great before being asked to update Joomla to 4.4. received this error message: An error has occurred. 0 Return value of Joomla\CMS\Mail\MailerFactory::createMailer() must be an ...
aheng55's user avatar
0 votes
1 answer
29 views

"In Folder.php line 108: Cannot open source folder" after running core:update

An error message without any hints on how to proceed. I'm guessing permission problem? But which folder is the source folder? Running again in verbose mode: $ php7.4 cli/joomla.php core:update -vvv ...
Olle Härstedt's user avatar
0 votes
1 answer
131 views

how to update item by using ajax on custom component joomla 4

Dears My component was a bit old. So I started to do it again on joomla 4. I have been looking for a few days, how to update or create data items by using Ajax in joomla 4. i found a lot of feedback ...
Nicolas AZHAR's user avatar
0 votes
2 answers
572 views

pre-update check not available

Site is on Joomla 3.10.11 and Update Channel is on Joomla Next but I get the messages that there is no update available and the site is on the newest version. What is wrong?
Willy Wolters's user avatar
2 votes
0 answers
455 views

"Empty solution not allowed" captcha error when user tries to register

I've just updated my site from 3.x to 4.2.6 and now users started getting error "Empty solution not allowed". I was digging a bit and I found that this error is from Captcha (...
Tehryn's user avatar
  • 41
0 votes
2 answers
45 views

New to Joomla and my site needs critical updates. HELP!

I'm new to Joomla and the site I'm taking over needs critical updates and has for some time. It needs 14 extension updates, and I'm getting this message: Your site is currently using PHP 7.2.2. This ...
Henry Chisholm's user avatar
1 vote
2 answers
112 views

Can I do a fresh joomla installation and import the old database, etc from a broken installation?

There's a broken Joomla installation in the host (not made by me) as far as I read, it's because it doesn't work with PHP7+. I'd like to make a fresh install and reuse the database that the broken ...
Coder's user avatar
  • 11
0 votes
1 answer
12 views

Automate IIT Newsletter Creation

I am looking for assistance in creating a newsletter. Tool that will create a newsletter 5-10 articles will generate in diff categories and sorts out based on category Eventually we need a user ...
JRGrant's user avatar
1 vote
2 answers
1k views

Login module crashes after 4.2.2 update

All my sites are crashing when the login module is brought up from a link. If the module is left on the site (without a link) the site crashes. I still have admin access and I have disabled the login ...
Jim Beal's user avatar
2 votes
1 answer
66 views

Joomla upgrade: 3.10.11 to 4.x

I am trying to upgrade my development server from 3.10.11 (which works fine) to 4.x in preparation for Joomla 3.x going out of support in August 23. When I do run the live update, I get an alert box ...
Huw Evans's user avatar
  • 371
0 votes
1 answer
37 views

I am new to Joomla and I'm trying to figure out if I need to install the software or if I can just log in online to make changes

I recently started a summer job and it requires some website management. The company that hired me already has their website through Joomla! and I am just trying to figure out if I need to download ...
Hailey Labelle's user avatar
1 vote
1 answer
4k views

Update Joomla! 3.10.8 to PHP 7.4 or PHP 8.0

I am using a Joomla! 3.10.8 Stack from Turnkey Linux, it shows a warning, that I have to upgrade to a higher PHP-version. So how I update/upgrade the higher PHP-version? And is it clever to upgrade to ...
alb's user avatar
  • 31
3 votes
2 answers
233 views

Reducing frequency of the "Joomla! update available" mails to once per day or once per week

Is there a way to reduce the frequency of the automatic "Joomla! Update available" mails? I do not want to disable the plugin, because I want to be notified about updates. But multiple mails ...
phunsoft's user avatar
  • 230
1 vote
0 answers
30 views

Upload volume changes do not apply to php.ini

Hi I have a centos 7 server and a cwp 7 panel. I have the latest version of Joomla and WordPress installed on them. The size of uploaded files in Joomla is 2 MB. I increased the upload_max_filesize ...
hamin hamon's user avatar
2 votes
1 answer
1k views

Joomla 3.10.1 Pre Update Check Missing

I upgraded a few of my sites from 3.9.28 to 3.10.1 today. I can't see any pre-upgrade check as described here https://docs.joomla.org/Pre-Update_Check I've cleared the site cache, refreshed the page ...
jonboy's user avatar
  • 3,603
1 vote
1 answer
94 views

Disable Update Sites Reverts Back to Enabled

Joomla 3.9.21 I have a number of extensions that are notifying me of updates in the Joomla dashboard, I want to temporarily disable these notifications. (I know this isn't best practice and it's ...
jonboy's user avatar
  • 3,603
1 vote
2 answers
225 views

Update from 3.9.x to 4.x

I want to try Joomla 4.x In the documentation for Joomla 3.x to 4.x Step by Step Migration it says: Select Joomla Next (This is the current text - it may be different in the future) from the drop-...
Lovntola's user avatar
  • 344
4 votes
1 answer
742 views

504 Gateway Time-out on Update

Joomla 3.9.19 When I attempt to upgrade from 3.9.19 to 3.9.20 I am getting the following error after about 2 - 3 minutes after clicking 'update'. 504 Gateway Time-out The server didn't respond in ...
jonboy's user avatar
  • 3,603
1 vote
1 answer
60 views

Error when updating Gantry from 4.1.20 to 4.1.32

My joomla is version: 3.2.7 and Gantry is 4.1.20. I downloaded Gantry 4.1.32, but when I tried to update, this message appears: Fatal error: Call to undefined method JInstallerAdapterPackage::...
Norberto Gomes's user avatar
1 vote
1 answer
103 views

Error Updating Component - does not update

I'm not sure if it's a good title for my question, because my component actually updates - at least that's what Joomla tells me. So, the problem is that I developed a component and now I need to ...
Thiago Guimarães's user avatar
0 votes
2 answers
173 views

Update Joomla Site With FTP From Admin Panel

I just set-up a VPS and installed Joomla. Now I need to update. When I click on the update button, and I try to do it through FTP I get this error message JFTP: :connect: Could not connect to ...
HotTomales's user avatar
1 vote
1 answer
45 views

Unable to deploy updateserver for site module

Joomla! does not recognize my module update, so I decided to create a blank module to see if it suffered the same issue -- it did. When I search for updates my mod_extension is not visible in the ...
Marco's user avatar
  • 665
1 vote
3 answers
130 views

How to inject a custom message in joomla update without touching the core code

I created my own component in joomla and I want to show a custom warning when my users want to auto update the component. When they try to update it joomla could not find the zip file and return a ...
Farid shahidi's user avatar
2 votes
1 answer
2k views

"Failed deleting inaccessible file" error while updating JCE editor pro to 2.8.1

I am trying to update JCE editor pro to 2.8.1, but I get the following error: Joomla\Filesystem\File::delete: Failed deleting inaccessible file controller.php We are using PHP7.2 and Joomla 3.9.13 ...
Peter's user avatar
  • 41
1 vote
0 answers
147 views

Error coming from T3-framework while updating Joomla

I am trying to update the Joomla version and T3-Framework version of our website and there seems to be a bug somewhere. Current JOOMLA version: 3.7.4 Current T3-FRAMEWORK version: 2.4.1 I first ...
Smolikas's user avatar
  • 111
1 vote
1 answer
73 views

How to maintain a configuration change after Joomla update?

My component hooks into some core Joomla behaviour, adding an extra path that it needs other related components to be able to use. I do this simply by adding it to the global path include ( defines....
glenatron's user avatar
  • 239
0 votes
1 answer
361 views

Joomla update gone wrong

I tried to update my Joomla site (www.thecolourchangers.nl) to Joomla3.6.5 via the update button and the site has made a backup. The trouble is: nothing is working anymore. I have unpacked the /tmp ...
Lars Altorf's user avatar
2 votes
1 answer
280 views

0 - Using $this when not in object content

I moved a website from server (PHP 5.6.38) to localhost (PHP 7.2.10). And I receive this error in the page title (in the chrome tab): 0 - Using $this when not in object content While searching ...
dvn22's user avatar
  • 23
1 vote
2 answers
1k views

Update path does not exist. / Error updating COM_INSTALLER_TYPE_TYPE_

Since upgrading to J! 3.9.0 I'm getting this error on EVERY extension update except for the few who use an update routine that appears to bypass normal Joomla workings - StackIdea's EasyBlog and ...
Ian Shere's user avatar
2 votes
1 answer
1k views

Cannot update RokSprocket Module 2.1.x to latest 2.1.24

I'm having a issue with a module update in Joomla. I cannot update from RokSprocket Module 2.1.x to latest 2.1.24 I am getting the error on trying to update Error RokSprocket needs at least RokCommon ...
cilap's user avatar
  • 294
3 votes
3 answers
7k views

Manually update Joomla 3.5+ to latest version

I have a Joomla installation, version 3.5+, but I cannot update, no matter what I tried. I tried to use the Joomla Update component, tried to upload the package, it just doesn't work. I then tried to ...
mavrosxristoforos's user avatar
2 votes
1 answer
31 views

3.5.1 to 3.8.7?

I have used JustHost as my ISP for years. Previously they would make a current version of joomla available and my control panel would alert me to a new version being available. At some point, they ...
Mike's user avatar
  • 21
0 votes
1 answer
24 views

Two querry with the same value

I made this querry that counts all the statuses "1" for a certain ID and their summarizes add in the column "result" and it works great: $query = $db->getQuery(true); $query->select('COUNT(*)');...
Midhat's user avatar
  • 109
0 votes
2 answers
664 views

Unable to update Joomla core package

When I go to Joomla! Update it is showing the following: No updates available. You are on the "Default" update channel. Through this channel you'll receive notifications for all updates of the ...
Tony12q's user avatar
1 vote
2 answers
2k views

Errors trying to update joomla 3.8

I have tried to update my Joomla website,to the newest update from the admin area. After attempting to update,i have received this error message: ERROR: Could not open archive part file root/temp/...
Guy Meye's user avatar
1 vote
1 answer
4k views

Error displaying the error page: Call to undefined method JAdminCssMenu::addChild()

today updated Joomla 3.7.5 on 3.8.0 & I have error: "Error displaying the error page: Call to undefined method JAdminCssMenu::addChild(): Call to undefined method JAdminCssMenu::addChild()" ...
Alex K's user avatar
  • 11
3 votes
1 answer
2k views

How to make manual re-installation of Joomla! Core without losing extensions?

Website is broken after update, Joomla core is corrupted, php fatal errors are thrown, backend is not accessible or backend re-installation isn't working and there is no backup of the site. How can I ...
FFrewin's user avatar
  • 19.7k
1 vote
2 answers
164 views

Joomla Update 3.7.3 has broken my website. AbstractApplication.php error

I recently updated my Joomla site to 3.7.3 and it broke the site by displaying a blank page. I turned error reporting on and it gives me an error related to AbstractApplication.php. The site: http:/...
Chowderhound's user avatar
2 votes
1 answer
266 views

Your PHP Version Will Be Unsupported in Joomla! 3.3

I am using PHP Version 7.0.12 and Joomla Version 3.7.3. And I am facing this message "Your PHP Version Will Be Unsupported in Joomla! 3.3" As per Joomla 3.3 System requirement: Starting with ...
Riyas Muhammed's user avatar
2 votes
2 answers
325 views

How can I ensure a plugin update is compatible with my current Joomla installation?

I'm new to Joomla, so please forgive me if this is obvious. I have done some searching and I am competent with Wordpress so I'm hoping it's not! I'm currently running 3.4.8 and when updating certain ...
Grant Ab's user avatar
0 votes
1 answer
784 views

JFTP: :append: Bad response when updating to Joomla 3.7.0

I'm having an issue while updating Joomla 3.6.5 to 3.7.0. Always when I try to update I get a Error message saying: JFTP: :append: Bad response So far I've tried: Checked FTP settings in ...
JxM's user avatar
  • 43
1 vote
1 answer
173 views

Joomla 3.7.0 Update Saving Articles

Having updated 2 sites to Joomla 3.7.0 I cannot save any articles, the error message is Error decoding JSON data: Syntax error Template is JSN Epic Pro
Douglas's user avatar
  • 11
1 vote
1 answer
108 views

Joomla is already up to date - but I never updated it

I have a joomla! site installed in the root of my website and (it's a long story I can't solve right now) some other joomla! sites installed each in its own subfolder. I upgraded joomla! to the ...
Firefighter's user avatar
1 vote
1 answer
876 views

Updating from 2.5.28 to 3.5.1 FAILED HELP

I am new to this site aaand to Joomla. The thing is I had to update to the site to 3.5.1, did all the steps from the joomla tutorial and I am getting this /see the image/ When I removed the ...
Ellie's user avatar
  • 11
3 votes
1 answer
1k views

Error decoding JSON data: quoted object property name expected

We're having issues with our website. We have migrated our Joomla content through J2XML to our new server where we started almost fresh (except the imported content, which was later imported to K2 ...
JxM's user avatar
  • 43
1 vote
1 answer
608 views

Update Joomla without working Backend (PHP version was updated)

My provider recently removed an older PHP version and I forgot to update one of the Joomla installations. Now I'm left with a broken front- and backend that only shows me What now? Is there any ...
halirutan's user avatar
  • 379
5 votes
1 answer
453 views

updating premium joomla extensions from update manager

As this article says, the extension update system is now compulsory for all extensions in JED. I searched the web but did not find any satisfactory information about implementing it for my premium ...
dev-m's user avatar
  • 1,351
3 votes
1 answer
59 views

Cannot find a way to update Joomla from 3.3.6

I have recently started doing some maintenance of a website managed by Joomla. It kept giving me headaches, so I decided it might be due to the fact that the version is outdated. However, it just ...
Jovan Jovancevic's user avatar
1 vote
1 answer
161 views

Implementing Joomla update system for extension hosted on Github

I have a number of Joomla extensions on the JED. I haven't set up a site for them; I'm just pointing JED at their location on Github. I've also never implemented auto-update for any of them. JED now ...
Simba's user avatar
  • 610
0 votes
1 answer
27 views

Folder 1new created during Joomla update

I recently updated my Joomla installation and noticed that the installer created folder named 1new on the server. Folder contains two subfolders; tmp and logs. Logs folder contains two files ...
Roger Wayne's user avatar